GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/exceptions.c File Reference
`#include "defs.h"`
`#include "exceptions.h"`
`#include "breakpoint.h"`
`#include "target.h"`
`#include "inferior.h"`
`#include "annotate.h"`
`#include "ui-out.h"`
`#include "serial.h"`
`#include "gdbthread.h"`
`#include "top.h"`
`#include "common/gdb_optional.h"`

Go to the source code of this file.

## Functions
static void | print_flush (void)
static void | print_exception (struct ui_file *file, struct gdb_exception e)
void | exception_print (struct ui_file *file, struct gdb_exception e)
void | exception_fprintf (struct ui_file *file, struct gdb_exception e, const char *prefix,...)
int | exception_print_same (struct gdb_exception e1, struct gdb_exception e2)

## Function Documentation

## ◆ exception_fprintf()

void exception_fprintf | ( | struct ui_file * | file,
|  | struct gdb_exception | e,
|  | const char * | prefix,
|  |  | ...
| ) |  |

Definition at line 119 of file exceptions.c.

References gdb_exception::message, print_exception(), print_flush(), gdb_exception::reason, and vfprintf_filtered().

Referenced by bpstat_check_breakpoint_conditions(), bpstat_check_watchpoint(), breakpoint_re_set(), dump_symtab_1(), enable_breakpoint_disp(), find_new_threads_once(), find_objc_msgcall_submethod(), normal_stop(), reload_shared_libraries_1(), remote_get_noisy_reply(), remote_get_trace_status(), restore_infcall_control_state(), save_gdb_index_command(), should_stop_exception(), solib_read_symbols(), thread_db_find_new_threads_silently(), and update_solib_list().

## ◆ exception_print()

void exception_print | ( | struct ui_file * | file,
|  | struct gdb_exception | e
| ) |  |

Definition at line 109 of file exceptions.c.

References gdb_exception::message, print_exception(), print_flush(), and gdb_exception::reason.

Referenced by add_vsyscall_page(), breakpoint_notify(), call_site_find_chain(), captured_main(), catch_errors(), check_status_exception_catchpoint(), core_open(), create_breakpoint(), do_gdb_disassembly(), dwarf2_build_psymtabs(), dwarf2_evaluate_loc_desc_full(), dwarf2_tailcall_sniffer_first(), fbsd_make_corefile_notes(), gdb_main(), handle_command_errors(), inferior_event_handler(), keep_going_pass_signal(), linux_make_corefile_notes(), mi_print_breakpoint_for_event(), print_return_value(), quit_force(), record_full_message_wrapper_safe(), safe_execute_command(), solib_event_probe_action(), solib_svr4_r_ldsomap(), solib_svr4_r_map(), start_event_loop(), svr4_handle_solib_event(), and tui_rl_switch_mode().

## ◆ exception_print_same()

int exception_print_same | ( | struct gdb_exception | e1,
|  | struct gdb_exception | e2
| ) |  |

Definition at line 140 of file exceptions.c.

References gdb_exception::error, gdb_exception::message, and gdb_exception::reason.

Referenced by try_open_exec_file().

## ◆ print_exception()

static void print_exception | ( | struct ui_file * | file,
|  | struct gdb_exception | e
| ) |  |
| static

Definition at line 73 of file exceptions.c.

References _, annotate_error(), annotate_quit(), fprintf_filtered(), fputs_filtered(), internal_error(), gdb_exception::message, gdb_exception::reason, RETURN_ERROR, RETURN_QUIT, and ui_file_write().

Referenced by exception_fprintf(), and exception_print().

## ◆ print_flush()

static void print_flush | ( | void |  | ) |
| static

Definition at line 33 of file exceptions.c.

References annotate_error_begin(), current_ui, deprecated_error_begin_hook, gdb::optional< T >::emplace(), filtered_printing_initialized(), gdb_flush(), gdb_stderr, gdb_stdout, target_terminal::ours_for_output(), ui::outstream, serial_drain_output(), serial_fdopen(), serial_un_fdopen(), target_supports_terminal_ours(), and wrap_here().

Referenced by exception_fprintf(), and exception_print().